Bug 1195387 - (CVE-2022-24130) VUL-0: CVE-2022-24130: xterm: Buffer overflow in set_sixel in graphics_sixel.c
(CVE-2022-24130)
VUL-0: CVE-2022-24130: xterm: Buffer overflow in set_sixel in graphics_sixel.c
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/322175/
CVSSv3.1:SUSE:CVE-2022-24130:5.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-02-01 11:50 UTC by Robert Frohl
Modified: 2022-11-15 08:50 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Robert Frohl 2022-02-01 12:15:29 UTC
no patch as far as I can tell.

Tracking as affected:

- SUSE:SLE-12:Update/xterm
- SUSE:SLE-15:Update/xterm
- SUSE:SLE-15-SP2:Update/xterm

+ openSUSE:Factory
Comment 3 Carlos López 2022-08-12 11:27:01 UTC
(In reply to Robert Frohl from comment #1)
> no patch as far as I can tell.

According to the Debian security tracker, it's this one:
https://github.com/ThomasDickey/xterm-snapshots/commit/1584fc227673264661250d3a8d673c168ac9512d

Meaning this one in the main branch:
https://github.com/ThomasDickey/xterm-snapshots/commit/24681da346c496f7fdf1ae227c7ae2656115d298
Comment 8 Marcus Meissner 2022-10-21 07:55:07 UTC
all non-ltss codestreams submitted.
Comment 9 Swamp Workflow Management 2022-11-11 20:47:50 UTC
SUSE-SU-2022:3952-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1195387
CVE References: CVE-2022-24130
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    xterm-308-5.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-11-11 20:50:07 UTC
SUSE-SU-2022:3953-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1195387
CVE References: CVE-2022-24130
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    xterm-330-150200.11.6.1
openSUSE Leap 15.3 (src):    xterm-330-150200.11.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    xterm-330-150200.11.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    xterm-330-150200.11.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Marcus Meissner 2022-11-15 08:50:00 UTC
done